Subject: RE: bug#11566: 24.0.97; `read-from-minibuffer': focus to standalone minibuffer frame?

From: "Drew Adams" <[email-masked]>
Date: Tue, 29 May 2012 13:28:24 -0700

> > > On Windows, at least with the default setup, selecting a 
> > > frame also grabs focus.  So these two functions do the same.
> > 
> > No, definitely not with my (non-default) setup.  Selecting 
> > a frame does not give it the input focus.
> 
> Not even in "emacs -Q"?  IOW, is this an Emacs setup issue, or a
> Windows setup issue?

I don't know what the test recipe would be.

I don't know what it is for my setup either.  All I know is that I have had to
add calls to `select-frame-set-input-focus', and that `select-frame' did not do
the trick.

And I don't say that `select-frame' _never_ gives focus to the frame it selects.
I'm saying only that in some situations I have had to use `s-f-s-i-p'.

Typically, IIRC, this has been necessary when using the minibuffer, and, e.g. a
key in the minibuffer map caused a new frame to be created or (correctly) caused
some action to take place in another frame.  In such situations I need to call
`s-f-s-i-f' to the standalone minibuffer frame in order to continue with
minibuffer input (e.g. completion).  `select-frame' does not cut the mustard
here.

> > Hence my need to call `select-frame-set-input-focus' in a 
> > few places.  And, I would guess, hence the existence of two 
> > different functions: `select-frame' and `s-f-s-i-f'.
> 
> My guess is that they exist because on X the situation is quite
> different: X defaults (or at least used to) to "pointer to focus", not
> "click to focus".

Could be.  But as I say, `select-frame' did not seem to do the job, which is why
I moved on to `s-f-s-i-f', which did.

> > I'm no expert on any of this, obviously.
> 
> Unfortunately, neither am I.  I just read a bit about this for the
> last few days, because apparently no one else wanted to work on bug
> #11513.

Thank you for your efforts.